#include <bits/stdc++.h>

using namespace std;

int obradi(char c)
{
    switch(c)
    {
        case '0':
            return 0; //
        case '1':
            return 1; // 1
        case '2':
            return 1; // 1 1
        case '3':
            return 2; // 1 2
        case '4':
            return 2; // 2 2
        case '5':
            return 1; // 5
        case '6':
            return 2; // 5 1
        case '7':
            return 2; // 5 2
        case '8':
            return 3; // 5 2 1
        case '9':
            return 3; // 5 2 2
    }
    return 0;
}

int rezultat(string s)
{
    int zbir = 0;
    for (char c : s)
        zbir += obradi(c);
    return zbir;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    string s;
    cin >> s;

    cout << rezultat(s);
    return 0;
}